﻿using Microsoft.AspNetCore.DataProtection.KeyManagement;

namespace WF_WebAdmin.Model
{
    public class Quote
    {
        public int Id { get; set; }
        public string Content { get; set; }
        public int Like { get; set; }
        public string Langue { get; set; }
        public string Charac { get; set; }
        public string ImgPath { get; set; }
        public string TitleSrc { get; set; }
        public DateTime DateSrc { get; set; }
        public string UserProposition { get; set; }
        public bool IsValid { get; set; }

        public Quote(int id, string content, string charac, string imgPath, string titleSrc, DateTime dateSrc, int like, string langue, string userProposition, bool isvalid)
        {
            Id = id;
            Content = content;
            Charac = charac;
            ImgPath = imgPath;
            TitleSrc = titleSrc;
            DateSrc = dateSrc;
            Like = like;
            Langue = langue;
            UserProposition = userProposition;
            IsValid = isvalid;
        }
   
    }
}
